#pragma once

#include <maps/libs/pgpool/include/pgpool3.h>
#include <maps/wikimap/mapspro/services/mrc/libs/object/include/revision_loader.h>

namespace maps::mrc::privacy_guard {

void verify(object::Loader&, pgpool3::Pool&, bool dryRun);

void updateMetadata(pgpool3::Pool&);

}  // namespace maps::mrc::privacy_guard
